Skip to main content
PATCH
Update Conversation

Headers

Authorization
string | null

Path Parameters

conversation_id
string<uuid>
required

Body

application/json
status
string | null

open, pending, or closed

assignee_user_id
string<uuid> | null
clear_assignee
boolean
default:false
mark_read
boolean
default:false
agent_paused
boolean | null

When true, suppress agent auto-reply (human takeover).

pinned
boolean | null

Pin/unpin the conversation for the whole org.

chat_group_id
string<uuid> | null

Assign conversation to a chat group folder.

clear_chat_group
boolean
default:false

Remove conversation from its chat group.

label_ids
string<uuid>[] | null

Replace the full set of labels on this conversation.

contact_id
string<uuid> | null

Link a contact record to this conversation.

Response

Successful Response

id
string<uuid>
required
whatsapp_account_id
string<uuid>
required
remote_jid
string
required
status
string
required
unread_count
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
contact_id
string<uuid> | null
phone_number
string | null
is_group
boolean
default:false
group_subject
string | null
assignee_user_id
string<uuid> | null
agent_paused
boolean
default:false
subject
string | null
last_message_preview
string | null
last_message_at
string<date-time> | null
last_inbound_at
string<date-time> | null
last_outbound_at
string<date-time> | null
contact_name
string | null
contact_whatsapp_name
string | null
contact_profile_picture_url
string | null
display_name
string | null

Best available human name: contact name, WhatsApp name, or null.

pinned
boolean
default:false
chat_group_id
string<uuid> | null
labels
LabelItem · object[]